<?php
//============================================================================
// DirCaster specific variables (Change the items below to match YOUR feed)
// Required by dircaster.php
//============================================================================

  // Podcast Title Variable
  $titleTAG       = "Word of Faith Ministries - Messages by Dr. Bill Bailey";
  // Podcast Discription
  $descriptionTAG = "Word of Faith Ministries, Inc. is the non-profit Christian Ministry of Dr. Bill Bailey, a Bible Teacher that Proclaims the Word of Faith!  Join Dr. Bill as he proclaims the Word of Faith, showcases ministries, and trains people to fulfill the Word of God!";
  // Your Podcast Website URL
  $linkTAG        = "http://messages.wofm.org/dircaster.php";
  // Atom link tag - This should be the exact name of the URL
  // (including the script name) due to the rel="self" attribute
  // 'http://.../dircaster.php' or 'http://.../some folder/dircaster.php'
  $linkAtomTAG    = "$linkTAG";
  // For iTunes "New Feed" feature - to change your URL for the feed - should it
  // ever be necessary - also set the "$NEWfeedURL_ON" value to "yes" to
  // activate it.
  $NEWfeedURL     = "http://messages.wofm.org/dircaster.php";
  $NEWfeedURL_ON  = "no";
  // Your Copyright String
  $copyrightTAG   = "Word of Faith Ministries, Inc.";
  // Podcast Language Tag
  $languageTAG    = "en-us";
  // Site Webmaster E-mail Address
  $webMasterTAG   = "DrBill@wofm.org (Dr. Bill Bailey)";
  // Give The DirCaster Project some "props!"
  $generatorTAG   = "DirCaster V0.9f - www.DirCaster.org";
  // "Time to Live"
  $ttlTAG         = "60";
  // Your image should be 144 by 144 pixels - (gif, jpg, or png)
  $rssImageUrlTAG   = "http://www.wofm.org/images/WoFM-Logo-300.png";
  // Image Tag
  $rssImageTitleTAG = "$titleTAG";
  // Image Link
  $rssImageLinkTAG = $linkTAG;
  // Set the "maxFeeds" variable to the number of podcasts you want displayed
  // in the feed when it is accessed... in this way, you can limit the number
  // shown, speeding up execution.
  $maxFeeds         = "25";
  // Set the "enclosurePrefix" variable to allow redirect bia another site
  // Such as a stats analysis via an external provider, such as
  // Raw Voice Media's TechPodcasts
  // or Blubrry Stats System.  Leave as '' for no enclosure.
  $enclosurePrefix  = '' ;
  //$enclosurePrefix  = '' ; // for no redirect
  // Allowed File Types in Feed URL
  $sftypes = "(.mp3 .m4a .m4b .asf .wma .avi .mov .mp4)";
  // location of the "getid3" library - should be the default unless you changed
  // it in your directory structure.
  $id3LibPath       = "./lib_getid3/getid3/getid3.php";
  // file extension of itme override file
  $descriptionsFileType = '.txt';
  // Delimiter
  $delim1 = ' ';
  //---------------------------------------------------------------------------
  // iTunes specific tags below - See iTunes RSS feed tech info for details at:
  // http://www.apple.com/itunes/store/podcaststechspecs.html#_Toc526931674
  // iTunes specific tags
  //---------------------------------------------------------------------------
  $iTunesNameSpace = "xmlns:itunes=\"http://www.itunes.com/dtds/podcast-1.0.dtd\"";
  $atomNameSpace   = "xmlns:atom=\"http://www.w3.org/2005/Atom\"";
  // To satisfily the feed validator. Make $atomNameSpace = '' to drop Atom
  $nameSpaceTAG = $iTunesNameSpace . ' ' . $atomNameSpace;

  //-- Explict Tag options: "yes" = IS Explicit, "no" = Not saying one way or
  //-- another, "clean" = Is a "G" rated clean feed suitable for kids.
  $explicitTAG    = "clean";
  $summaryTAG     = "Word of Faith Ministries, Inc. is the non-profit Christian Ministry of Dr. Bill Bailey, a Bible Teacher that Proclaims the Word of Faith!  Join Dr. Bill as he proclaims the Word of Faith, showcases ministries, and trains people to fulfill the Word of God!";
  $authorTAG      = "Dr. Bill Bailey";
  $ownerNameTAG   = "Dr. Bill Bailey";
  $ownerEmailTAG  = "DrBill@wofm.org ($ownerNameTAG)";
  $topCategoryTAG = "Religion & Spirituality";
  $subCategoryTAG = "Christianity";
  $keywordTAG     = "Word of Faith, Faith Teaching, Dr. Bill Bailey, Word of Faith Ministry, Word-Faith, Confession, William Bailey, Healing, Baptism in the Holy Spirit, Charismatic, Pentecostal, Rev. Bill Bailey, word of faith, confession brings possession, have what you say";
  $imageUrlTAG    = "http://www.wofm.org/images/WoFM-Logo-300.png";
  $imageTitleTAG  = "WoFM Logo";
  $imageLinkTAG   = "http://www.wofm.org";
  $imageItemTAG   = "no";
//============================================================================
//
// end of DirCaster Variables.
//
//============================================================================
?>
